Index: NEMO/trunk/src/NST/agrif_ice_interp.F90
===================================================================
--- NEMO/trunk/src/NST/agrif_ice_interp.F90	(revision 9598)
+++ NEMO/trunk/src/NST/agrif_ice_interp.F90	(revision 9610)
@@ -14,5 +14,5 @@
    !!   'key_agrif' :                                 AGRIF library
    !!----------------------------------------------------------------------
-   !!  agrif_interp_si3    : interpolation of ice at "after" sea-ice time step
+   !!  agrif_interp_ice    : interpolation of ice at "after" sea-ice time step
    !!  agrif_interp_u_ice   : atomic routine to interpolate u_ice 
    !!  agrif_interp_v_ice   : atomic routine to interpolate v_ice 
@@ -29,5 +29,5 @@
    PRIVATE
 
-   PUBLIC   agrif_interp_si3   ! called by agrif_user.F90
+   PUBLIC   agrif_interp_ice   ! called by agrif_user.F90
 
    !!----------------------------------------------------------------------
@@ -39,5 +39,5 @@
 CONTAINS
 
-   SUBROUTINE agrif_interp_si3( cd_type, kiter, kitermax )
+   SUBROUTINE agrif_interp_ice( cd_type, kiter, kitermax )
       !!-----------------------------------------------------------------------
       !!                 *** ROUTINE agrif_rhg_lim3  ***
@@ -77,5 +77,5 @@
       Agrif_UseSpecialValue = .FALSE.
       !
-   END SUBROUTINE agrif_interp_si3
+   END SUBROUTINE agrif_interp_ice
 
 
Index: NEMO/trunk/src/NST/agrif_ice_update.F90
===================================================================
--- NEMO/trunk/src/NST/agrif_ice_update.F90	(revision 9598)
+++ NEMO/trunk/src/NST/agrif_ice_update.F90	(revision 9610)
@@ -17,5 +17,5 @@
    !!   'key_agrif' :                                 AGRIF library 
    !!----------------------------------------------------------------------
-   !!   agrif_update_si3  : update sea-ice on boundaries or total
+   !!   agrif_update_ice  : update sea-ice on boundaries or total
    !!                        child domain for velocities and ice properties
    !!   update_tra_ice     : sea-ice properties
@@ -33,5 +33,5 @@
    PRIVATE
 
-   PUBLIC   agrif_update_si3   ! called by agrif_user.F90 and icestp.F90
+   PUBLIC   agrif_update_ice   ! called by agrif_user.F90 and icestp.F90
 
    !!----------------------------------------------------------------------
@@ -42,7 +42,7 @@
 CONTAINS
 
-   SUBROUTINE agrif_update_si3( kt )
+   SUBROUTINE agrif_update_ice( kt )
       !!----------------------------------------------------------------------
-      !!                     *** ROUTINE agrif_update_si3 ***
+      !!                     *** ROUTINE agrif_update_ice ***
       !! ** Method  :   Call the hydrostaticupdate pressure at the boundary or the entire domain 
       !!
@@ -70,5 +70,5 @@
       Agrif_UseSpecialValueInUpdate = .FALSE.
       !
-   END SUBROUTINE agrif_update_si3
+   END SUBROUTINE agrif_update_ice
 
 
Index: NEMO/trunk/src/NST/agrif_user.F90
===================================================================
--- NEMO/trunk/src/NST/agrif_user.F90	(revision 9598)
+++ NEMO/trunk/src/NST/agrif_user.F90	(revision 9610)
@@ -62,5 +62,5 @@
 # endif
 # if defined key_si3
-   CALL Agrif_InitValues_cont_si3
+   CALL Agrif_InitValues_cont_ice
 # endif
    !
@@ -327,5 +327,5 @@
 
 #if defined key_si3
-   CALL agrif_update_si3(0)
+   CALL agrif_update_ice(0)
 #endif
    
@@ -493,7 +493,7 @@
 
 #if defined key_si3
-SUBROUTINE Agrif_InitValues_cont_si3
-   !!----------------------------------------------------------------------
-   !!                 *** ROUTINE Agrif_InitValues_cont_si3 ***
+SUBROUTINE Agrif_InitValues_cont_ice
+   !!----------------------------------------------------------------------
+   !!                 *** ROUTINE Agrif_InitValues_cont_ice ***
    !!
    !! ** Purpose :: Initialisation of variables to be interpolated for LIM3
@@ -512,5 +512,5 @@
    ! Declaration of the type of variable which have to be interpolated (parent=>child)
    !----------------------------------------------------------------------------------
-   CALL agrif_declare_var_si3
+   CALL agrif_declare_var_ice
 
    ! Controls
@@ -529,15 +529,15 @@
    !----------------------------------------------------------------------
    lim_nbstep = ( Agrif_irhot() * Agrif_Parent(nn_fsbc) / nn_fsbc ) ! clem: to have calledweight=1 in interp (otherwise the western border of the zoom is wrong)
-   CALL agrif_interp_si3('U') ! interpolation of ice velocities
-   CALL agrif_interp_si3('V') ! interpolation of ice velocities
-   CALL agrif_interp_si3('T') ! interpolation of ice tracers 
+   CALL agrif_interp_ice('U') ! interpolation of ice velocities
+   CALL agrif_interp_ice('V') ! interpolation of ice velocities
+   CALL agrif_interp_ice('T') ! interpolation of ice tracers 
    lim_nbstep = 0
    
    !
-END SUBROUTINE Agrif_InitValues_cont_si3
-
-SUBROUTINE agrif_declare_var_si3
-   !!----------------------------------------------------------------------
-   !!                 *** ROUTINE agrif_declare_var_si3 ***
+END SUBROUTINE Agrif_InitValues_cont_ice
+
+SUBROUTINE agrif_declare_var_ice
+   !!----------------------------------------------------------------------
+   !!                 *** ROUTINE agrif_declare_var_ice ***
    !!
    !! ** Purpose :: Declaration of variables to be interpolated for LIM3
@@ -590,5 +590,5 @@
 #endif
 
-END SUBROUTINE agrif_declare_var_si3
+END SUBROUTINE agrif_declare_var_ice
 #endif
 