Index: NEMO/trunk/README.rst
===================================================================
--- NEMO/trunk/README.rst	(revision 9636)
+++ NEMO/trunk/README.rst	(revision 9650)
@@ -3,53 +3,11 @@
 .. role:: rstgreen
 
-.. class:: asciiart
-
-.. parsed-literal::
-
-	@@@@@@O$$$$$$@@@@@@#$$$$$$&@#$$$$$$$$$$$$$$$&@O$$$$$$&@@@@@@@@@$$$$$$O@@@@@@@@@@@O$$%$O@@@@@@@@@@@@@
-	@@@@@@?!!!!!!#@@@@@O!!!!!!#@$!!!!!!!!!!!!!!!#@%!!!!!!?&@@@@@@@$!!!!!!?@@@@@@@@&O#&&&&%??$#@@@@@@@@@@
-	@@@@@@?!!!!!!?@@@@@O!!!!!!#@$!!!!!!!!!!!!!!!#@%!!!!!!!%@@@@@@O!!!!!!!?@@@@@@@O#@@&%??!!!!!$@@@@@@@@@
-	@@@@@@?!!!!!!!O@@@@O!!!!!!#@$!!!!!!?????????&@%!!!!!!!!$@@@@#!!!!!!!!?@@@@@&O&@&&O$$?!!!!!!%&@@@@@@@
-	@@@@@@?!!!!!!!!#@@@O!!!!!!#@$!!!!!!#&&&&&&&&@@%!!!!!!!!!$@@&?!!!!!!!!?@@@@@O&@&??&@@&O!!!!!!%@@@@@@@
-	@@@@@@?!!!!!!!!?&@@O!!!!!!#@$!!!!!!#@@@@@@@@@@%!!!!!!!!!!O@%!!!!!!!!!?@@@@O&@@O!O@@@@&O!!!!!!$@@@@@@
-	@@@@@@?!!!!!!!!!?#@O!!!!!!#@$!!!!!!#@@@@@@@@@@%!!!!!!!!!!!%!!!!!!!!!!?@@@&O@@$!!O&@@@@&O!!!!!!#@@@@@
-	@@@@@@?!!!!!!!!!!!OO!!!!!!#@$!!!!!!$OOOOO@@@@@%!!!!!!!!!!!!!!!!!!!!!!?@@@O@&%!!!!!%#&&@&?!!!!!%@@@@@
-	@@@@@@?!!!!!!!!!!!!!!!!!!!#@$!!!!!!!!!!!?@@@@@%!!!!!!!!!!!!!!!!!!!!!!?@@@O&!!!!!!%%eO&@$!!!!!!%&@@@@
-	@@@@@@?!!!!!!!!!!!!!!!!!!!#@$!!!!!!!!!!!?@@@@@%!!!!!!!!!!!!!!!!!!!!!!?@@&&$!!!?$O$Oe$@@!!!!!!eO#@@@@
-	@@@@@@?!!!!!!!!!!!!!!!!!!!#@$!!!!!!?%%%%$@@@@@%!!!!!!!!!!!!!!!!!!!!!!?@@O&!!!!$&$#%!#@@?!!!!!!$O@@@@
-	@@@@@@?!!!!!!!!!!!!!!!!!!!#@$!!!!!!#@@@@@@@@@@%!!!!!!!!!!!!!!!!!!!!!!?@@O&!!!!%?O@%&&&@$!!!!!!?O@@@@
-	@@@@@@?!!!!!?#!!!!!!!!!!!!#@$!!!!!!#@@@@@@@@@@%!!!!!!#!!!!!!!!O?!!!!!?@@O#!!!!!!?@@@@@OO!!!!$e?O@@@@
-	@@@@@@?!!!!!?@#?!!!!!!!!!!#@$!!!!!!#@@@@@@@@@@%!!!!!!&#!!!!!!%&?!!!!!?@@OOO?!!!%%@@@@@#?!%$#O%%$@@@@
-	@@@@@@?!!!!!?@@&%!!!!!!!!!#@$!!!!!!?????????&@%!!!!!!&@O!!!!?&@?!!!!!?@@#&##%$&&&@@@@@@$%#&O!??O@@@@
-	@@@@@@?!!!!!?@@@@#?!!!!!!!#@$!!!!!!!!!!!!!!!#@%!!!!!!&@@$!!!&@@?!!!!!?@@&#$&@@@@@@@@@@@?O%%?!!!#@@@@
-	@@@@@@?!!!!!?@@@@@@#%!!!!!#@$!!!!!!!!!!!!!!!#@%!!!!!!&@@@$!O@@@?!!!!!?@@@O#&&@@@@@@@@@@O?!!!!!?&@@@@
-	@@@@@@?!!!!!?@@@@@@@@&O$%%#@#O##&&&&&&&&##OO&@$!!!!!!&@@@@O@@@@?!!!!!?@@@O&&#&@@@@@@@@@$!!!!!!$@@@@@
-	@@@@@@?!!!!!?@@@@@@@@@@@@@@&&#O$$$%%%%$$$OO#&@@&#O%?!&@@@@@@@@@?!!!!!?@@@@OOO@@@@@@@@@&!!!!!!!&@@@@@
-	@@@@@@?!!!!!?@@@@@@@@@&#$%?!!!!!!!!!!!!!!!!!!!?%O#@@#@@@@@@@@@@?!!!!!?@@@@#!!%&@@@@@@@%!!!!!!O@@@@@@
-	@@@@@@?!!!!!?@@@@@@#$?!!!!!!!!!!!!!!!!!!!!!!!!!!!!!%$&@@@@@@@@@?!!!!!?@@@@@#!!%@@@@@@@O!!$&$$@@@@@@@
-	@@@@@@?!!!!!?@@@O%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!?$#@@@@@@?!!!!!?@@@@@@O!!?@@@@@@@&&@#O@@@@@@&&
-	@@@@@@?!!!?O&#$?!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!?$#@@@$?!!!!?@@@@@@@&%!?$#@@@@@&O#@@@@@#O&@
-	@@@@@@?!?O&#%!!!!!!!!!??%%$$$OOOOOOOOOO$$%%??!!!!!!!!!!!!!!!?%O&&&O$%%@@@@@@@@@#%?%####O#@@@&#$$#@@@
-	@@@@@@%O&#%!!!!!?%$O#&&@@@@@@@@@@@@@@@@@@@@@&&#O$%?!!!!!!!!!!!!!?$O&&&@@@@@@@@@@@&&&&&&&&#$%?%#@@@@@
-	@@@@@@&#%!!!?$#&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&#O%?!!!!!!!!!!!!??%$OOO#######OO$%??!!?%#@@@@@@@
-	@@@@@&$!?%O&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&#O$%?!!!!!!!!!!!!!!!!!!!!!!!!!?$#&@@@@@@@@@
-	@@@@O?%O&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&#OO$%????!!!!!!!!??%%O#&@@@@@@@@@@@@@
-	@@&$$&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&@@@@@@@@@@@@@@@@@@@@
-	@#O&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
-	&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
-
-----
-
-==========
-About NEMO
-==========
+================
+NEMO Ocean Model
+================
 
 NEMO_ (Nucleus for European Modelling of the Ocean) is a state-of-the-art modelling framework of 
 ocean related engines for oceanographic research, operational oceanography, seasonal forecast and 
 [paleo]climate studies.
-
------------
-
------------
 
 The NEMO ocean model has 3 major components:
@@ -99,5 +57,5 @@
 either in PDF or in HTML format, but it mights require some additionnal installations.
 
-In any case, both formats are available online from the `NEMO website`__.
+In any case, both formats are available online on the `NEMO website`__.
 
 ---------------------
@@ -113,5 +71,5 @@
 --------
 
-AGRIF_
+AGRIF
  Adaptive Grid Refinement In Fortran
 
@@ -131,13 +89,15 @@
  Tracers in Ocean Paradigm
 
-XIOS_
+XIOS
  XML Input Output Server
 
-.. _AGRIF:                    http://agrif.imag.fr
-.. _Forge:                    http://forge.ipsl.jussieu.fr/nemo
-.. _NEMO:                     http://www.nemo-ocean.eu
-.. _OASIS:                    http://verc.enes.org/oasis
-.. _reference publications:   http://www.nemo-ocean.eu/bibliography/documentation
-.. _XIOS:                     http://forge.ipsl.jussieu.fr/ioserver
+----
+
+.. _AGRIF:                  http://agrif.imag.fr
+.. _Forge:                  http://forge.ipsl.jussieu.fr/nemo
+.. _NEMO:                   http://www.nemo-ocean.eu
+.. _OASIS:                  http://verc.enes.org/oasis
+.. _reference publications: http://www.nemo-ocean.eu/bibliography/documentation
+.. _XIOS:                   http://forge.ipsl.jussieu.fr/ioserver
 
 .. __:  NEMO_
Index: NEMO/trunk/tests/README
===================================================================
--- NEMO/trunk/tests/README	(revision 9636)
+++ NEMO/trunk/tests/README	(revision 9650)
@@ -1,6 +1,7 @@
-## List of available test cases is in CONFIG/TEST_CASES/cfg.txt
+## List of available test cases is in demo_cfgs.txt
 
 ## HOW TO COMPILE TEST CASES :
 
-use makenemo to compile in "-a" alternative sub-directory for configurations (below CONFIG) 
-../makenemo -a TEST_CASES -n WAD2 -r WAD -m macport_osx -j 4
+In the same manner as ref. cfg with '-r' option, use makenemo with '-a' option
+
+./makenemo -n WAD2 -a WAD -m macport_osx -j 4
Index: NEMO/trunk/tests/cfg.txt
===================================================================
--- NEMO/trunk/tests/cfg.txt	(revision 9636)
+++ 	(revision )
@@ -1,8 +1,0 @@
-CANAL OCE_SRC 
-ISOMIP OCE_SRC
-LOCK_EXCHANGE OCE_SRC
-OVERFLOW OCE_SRC
-SAS_BIPER OCE_SRC NST_SRC SAS_SRC ICE_SRC
-VORTEX OCE_SRC NST_SRC
-WAD OCE_SRC
-
Index: NEMO/trunk/tests/demo_cfgs.txt
===================================================================
--- NEMO/trunk/tests/demo_cfgs.txt	(revision 9650)
+++ NEMO/trunk/tests/demo_cfgs.txt	(revision 9650)
@@ -0,0 +1,7 @@
+CANAL OCE
+ISOMIP OCE
+LOCK_EXCHANGE OCE
+OVERFLOW OCE
+SAS_BIPER OCE NST SAS ICE
+VORTEX OCE NST
+WAD OCE