Index: NEMO/trunk/src/NST/agrif_ice.F90
===================================================================
--- NEMO/trunk/src/NST/agrif_ice.F90	(revision 9610)
+++ NEMO/trunk/src/NST/agrif_ice.F90	(revision 9656)
@@ -4,11 +4,11 @@
    !! AGRIF :   define in memory AGRIF variables for sea-ice
    !!----------------------------------------------------------------------
-   !! History :  3.4  ! 2012-08  (R. Benshila)  Original code
-   !!            3.6  ! 2016-05  (C. Rousset)   Add LIM3 compatibility
+   !! History :  3.4   !  2012-08  (R. Benshila)          Original code
+   !!            4.0   !  2018     (C. Rousset)           SI3 compatibility
    !!----------------------------------------------------------------------
 #if defined key_agrif && defined key_si3
    !!----------------------------------------------------------------------
    !!   'key_agrif'                                              AGRIF zoom
-   !!   'key_si3'                                       SI3 sea-ice model
+   !!   'key_si3'                                         SI3 sea-ice model
    !!----------------------------------------------------------------------   
    IMPLICIT NONE
Index: NEMO/trunk/src/NST/agrif_ice_interp.F90
===================================================================
--- NEMO/trunk/src/NST/agrif_ice_interp.F90	(revision 9610)
+++ NEMO/trunk/src/NST/agrif_ice_interp.F90	(revision 9656)
@@ -3,14 +3,13 @@
    !!                       ***  MODULE agrif_ice_interp ***
    !! Nesting module :  interp surface ice boundary condition from a parent grid
-   !! Sea-Ice model  :  LIM 3.6 Sea ice model time-stepping
    !!=====================================================================================
-   !! History :  2.0   !  04-2008  (F. Dupont)  initial version
+   !! History :  2.0   !  04-2008  (F. Dupont)               initial version
    !!            3.4   !  09-2012  (R. Benshila, C. Herbaut) update and EVP
-   !!            3.6   !  05-2016  (C. Rousset)  Add LIM3 compatibility
+   !!            4.0   !  2018     (C. Rousset)              SI3 compatibility
    !!----------------------------------------------------------------------
 #if defined key_agrif && defined key_si3 
    !!----------------------------------------------------------------------
-   !!   'key_si3'  :                                 LIM 3.6 sea-ice model
-   !!   'key_agrif' :                                 AGRIF library
+   !!   'key_si3'                                         SI3 sea-ice model
+   !!   'key_agrif'                                       AGRIF library
    !!----------------------------------------------------------------------
    !!  agrif_interp_ice    : interpolation of ice at "after" sea-ice time step
@@ -41,5 +40,5 @@
    SUBROUTINE agrif_interp_ice( cd_type, kiter, kitermax )
       !!-----------------------------------------------------------------------
-      !!                 *** ROUTINE agrif_rhg_lim3  ***
+      !!                 *** ROUTINE agrif_interp_ice  ***
       !!
       !!  ** Method  : simple call to atomic routines using stored values to
Index: NEMO/trunk/src/NST/agrif_ice_update.F90
===================================================================
--- NEMO/trunk/src/NST/agrif_ice_update.F90	(revision 9610)
+++ NEMO/trunk/src/NST/agrif_ice_update.F90	(revision 9656)
@@ -6,20 +6,19 @@
    !!                       ***  MODULE agrif_ice_update ***
    !! Nesting module :  update surface ocean boundary condition over ice from a child grid
-   !! Sea-Ice model  :  LIM 3.6 Sea ice model time-stepping
    !!=====================================================================================
-   !! History :  2.0   !  04-2008  (F. Dupont)  initial version
+   !! History :  2.0   !  04-2008  (F. Dupont)               initial version
    !!            3.4   !  08-2012  (R. Benshila, C. Herbaut) update and EVP
-   !!            3.6   !  05-2016  (C. Rousset)  Add LIM3 compatibility
+   !!            4.0   !  2018     (C. Rousset)              SI3 compatibility
    !!----------------------------------------------------------------------
 #if defined key_agrif && defined key_si3
    !!----------------------------------------------------------------------
-   !!   'key_si3'  :                                 LIM 3.6 sea-ice model
-   !!   'key_agrif' :                                 AGRIF library 
+   !!   'key_si3'  :                                      SI3 sea-ice model
+   !!   'key_agrif' :                                     AGRIF library 
    !!----------------------------------------------------------------------
    !!   agrif_update_ice  : update sea-ice on boundaries or total
    !!                        child domain for velocities and ice properties
-   !!   update_tra_ice     : sea-ice properties
-   !!   update_u_ice       : zonal      ice velocity
-   !!   update_v_ice       : meridional ice velocity
+   !!   update_tra_ice    : sea-ice properties
+   !!   update_u_ice      : zonal      ice velocity
+   !!   update_v_ice      : meridional ice velocity
    !!----------------------------------------------------------------------
    USE dom_oce
Index: NEMO/trunk/src/NST/agrif_user.F90
===================================================================
--- NEMO/trunk/src/NST/agrif_user.F90	(revision 9610)
+++ NEMO/trunk/src/NST/agrif_user.F90	(revision 9656)
@@ -497,5 +497,5 @@
    !!                 *** ROUTINE Agrif_InitValues_cont_ice ***
    !!
-   !! ** Purpose :: Initialisation of variables to be interpolated for LIM3
+   !! ** Purpose :: Initialisation of variables to be interpolated for ice
    !!----------------------------------------------------------------------
    USE Agrif_Util
@@ -541,5 +541,5 @@
    !!                 *** ROUTINE agrif_declare_var_ice ***
    !!
-   !! ** Purpose :: Declaration of variables to be interpolated for LIM3
+   !! ** Purpose :: Declaration of variables to be interpolated for ice
    !!----------------------------------------------------------------------
    USE Agrif_Util