Index: branches/UKMO/dev_merge_2017_CICE_interface/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90
===================================================================
--- branches/UKMO/dev_merge_2017_CICE_interface/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 9672)
+++ branches/UKMO/dev_merge_2017_CICE_interface/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 9675)
@@ -42,8 +42,8 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qns_ice        !: non solar heat flux over ice                  [W/m2]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qsr_ice        !: solar heat flux over ice                      [W/m2]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qla_ice        !: latent flux over ice                          [W/m2]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   zevap_ice        !: latent flux over ice                          [W/m2]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   dqla_ice       !: latent sensibility over ice                 [W/m2/K]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   dqns_ice       !: non solar heat flux over ice (LW+SEN+LA)    [W/m2/K]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tn_ice         !: ice surface temperature                          [K]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   t1_ice         !: ice surface temperature                          [K]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   alb_ice        !: ice albedo                                       [-]
 
@@ -55,7 +55,4 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   vtau_ice       !: atmos-ice v-stress. VP: I-pt ; EVP: U,V-pts   [N/m2]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   emp_ice        !: sublimation - precip over sea ice          [kg/m2/s]
-
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   topmelt            !: category topmelt
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   botmelt            !: category botmelt
 
 #if defined  key_lim3
@@ -90,10 +87,10 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   sstfrz             !: sea surface freezing temperature
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tsfc_ice           !: sea-ice surface skin temperature (on categories)
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   kn_ice             !: sea-ice surface layer thermal conductivity (on cats)
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   cnd_ice             !: sea-ice surface layer thermal conductivity (on cats)
 
    ! variables used in the coupled interface
    INTEGER , PUBLIC, PARAMETER ::   jpl = ncat
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   u_ice, v_ice          ! jpi, jpj
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  a_p, ht_p ! Meltpond fraction and depth
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  a_ip, v_ip ! Meltpond fraction and depth
    
    !
@@ -140,6 +137,6 @@
 #if defined key_lim3
       ALLOCATE( qns_ice (jpi,jpj,jpl) , qsr_ice  (jpi,jpj,jpl) ,     &
-         &      qla_ice (jpi,jpj,jpl) , dqla_ice (jpi,jpj,jpl) ,     &
-         &      dqns_ice(jpi,jpj,jpl) , tn_ice   (jpi,jpj,jpl) , alb_ice   (jpi,jpj,jpl) ,   &
+         &      zevap_ice (jpi,jpj,jpl) , dqla_ice (jpi,jpj,jpl) ,     &
+         &      dqns_ice(jpi,jpj,jpl) , t1_ice   (jpi,jpj,jpl) , alb_ice   (jpi,jpj,jpl) ,   &
          &      qml_ice (jpi,jpj,jpl) , qcn_ice  (jpi,jpj,jpl) , qsr_ice_tr(jpi,jpj,jpl) ,   &
          &      utau_ice(jpi,jpj)     , vtau_ice (jpi,jpj)     , wndm_ice  (jpi,jpj)     ,   &
@@ -151,18 +148,18 @@
 
 #if defined key_cice
-      ALLOCATE( qla_ice(jpi,jpj,ncat) , qlw_ice(jpi,jpj,1)    , qsr_ice(jpi,jpj,1)    , &
+      ALLOCATE( zevap_ice(jpi,jpj,ncat) , qlw_ice(jpi,jpj,1)    , qsr_ice(jpi,jpj,1)    , &
                 wndi_ice(jpi,jpj)     , tatm_ice(jpi,jpj)     , qatm_ice(jpi,jpj)     , &
                 wndj_ice(jpi,jpj)     , nfrzmlt(jpi,jpj)      , ss_iou(jpi,jpj)       , &
                 ss_iov(jpi,jpj)       , fr_iu(jpi,jpj)        , fr_iv(jpi,jpj)        , &
-                a_i(jpi,jpj,ncat)     , topmelt(jpi,jpj,ncat) , botmelt(jpi,jpj,ncat) , &
+                a_i(jpi,jpj,ncat)     , qml_ice(jpi,jpj,ncat) , qcn_ice(jpi,jpj,ncat) , &
 #if defined key_asminc
                ndaice_da(jpi,jpj)    , nfresh_da(jpi,jpj)    , nfsalt_da(jpi,jpj)    , &
 #endif
                sstfrz(jpi,jpj)       , STAT= ierr(2) )
-      IF( ln_cpl )   ALLOCATE( u_ice(jpi,jpj)        , tn_ice (jpi,jpj,jpl)    , &
+      IF( ln_cpl )   ALLOCATE( u_ice(jpi,jpj)        , t1_ice (jpi,jpj,jpl)    , &
          &                     v_ice(jpi,jpj)        , alb_ice(jpi,jpj,1)      , &
          &                     emp_ice(jpi,jpj)      , qns_ice(jpi,jpj,1)      , dqns_ice(jpi,jpj,1)   , &
-         &                     a_p(jpi,jpj,jpl)      , ht_p(jpi,jpj,jpl)     , tsfc_ice(jpi,jpj,jpl) , &
-         &                     kn_ice(jpi,jpj,jpl) ,    STAT=ierr(3) )
+         &                     a_ip(jpi,jpj,jpl)      , v_ip(jpi,jpj,jpl)     , tsfc_ice(jpi,jpj,jpl) , &
+         &                     cnd_ice(jpi,jpj,jpl) ,    STAT=ierr(3) )
       IF( ln_cpl )   ALLOCATE( h_i(jpi,jpj,jpl) , h_s(jpi,jpj,jpl) , STAT=ierr(4) )
 #endif
@@ -191,10 +188,10 @@
    INTEGER         , PUBLIC, PARAMETER ::   jpl = 1 
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   u_ice, v_ice                        ! jpi, jpj
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tn_ice, alb_ice, qns_ice, dqns_ice  ! (jpi,jpj,jpl)
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   t1_ice, alb_ice, qns_ice, dqns_ice  ! (jpi,jpj,jpl)
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   a_i
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   emp_ice
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qsr_ice
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   h_i, h_s
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   topmelt, botmelt
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qml_ice, qcn_ice
    !
    !! arrays related to embedding ice in the ocean. 
Index: branches/UKMO/dev_merge_2017_CICE_interface/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90
===================================================================
--- branches/UKMO/dev_merge_2017_CICE_interface/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 9672)
+++ branches/UKMO/dev_merge_2017_CICE_interface/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 9675)
@@ -367,13 +367,13 @@
          IF (ksbc == jp_flx) THEN
             DO jl=1,ncat
-               ztmpn(:,:,jl)=qla_ice(:,:,1)*a_i(:,:,jl)
+               ztmpn(:,:,jl)=zevap_ice(:,:,1)*a_i(:,:,jl)
             ENDDO
          ELSE IF (ksbc == jp_purecpl) THEN
             DO jl=1,ncat
-               ztmpn(:,:,jl)=qla_ice(:,:,jl)*a_i(:,:,jl)
+               ztmpn(:,:,jl)=zevap_ice(:,:,jl)*a_i(:,:,jl) * (-1.0*Lsub)
             ENDDO
 	 ELSE
-           !In coupled mode - qla_ice calculated in sbc_cpl for each category
-           ztmpn(:,:,1:ncat)=qla_ice(:,:,1:ncat)
+           !In coupled mode - zevap_ice calculated in sbc_cpl for each category
+           ztmpn(:,:,1:ncat)=zevap_ice(:,:,1:ncat)
          ENDIF
 
@@ -384,7 +384,7 @@
 !  Convert to GBM
             IF (ksbc == jp_flx .OR. ksbc == jp_purecpl) THEN
-               ztmp(:,:) = botmelt(:,:,jl)*a_i(:,:,jl)
+               ztmp(:,:) = qcn_ice(:,:,jl)*a_i(:,:,jl)
             ELSE
-               ztmp(:,:) = botmelt(:,:,jl)
+               ztmp(:,:) = qcn_ice(:,:,jl)
             ENDIF
             CALL nemo2cice(ztmp,fcondtopn_f(:,:,jl,:),'T', 1. )
@@ -393,7 +393,7 @@
 !  Convert to GBM
             IF (ksbc == jp_flx .OR. ksbc == jp_purecpl) THEN
-               ztmp(:,:) = (topmelt(:,:,jl)+botmelt(:,:,jl))*a_i(:,:,jl) 
+               ztmp(:,:) = (qml_ice(:,:,jl)+qcn_ice(:,:,jl))*a_i(:,:,jl) 
             ELSE
-               ztmp(:,:) = (topmelt(:,:,jl)+botmelt(:,:,jl))
+               ztmp(:,:) = (qml_ice(:,:,jl)+qcn_ice(:,:,jl))
             ENDIF
             CALL nemo2cice(ztmp,fsurfn_f(:,:,jl,:),'T', 1. )
@@ -738,6 +738,6 @@
 ! Meltpond fraction and depth
       DO jl = 1,ncat
-         CALL cice2nemo(apeffn(:,:,jl,:),a_p(:,:,jl),'T', 1. )
-         CALL cice2nemo(trcrn(:,:,nt_hpnd,jl,:),ht_p(:,:,jl),'T', 1. )
+         CALL cice2nemo(apeffn(:,:,jl,:),a_ip(:,:,jl),'T', 1. )
+         CALL cice2nemo(trcrn(:,:,nt_hpnd,jl,:),v_ip(:,:,jl),'T', 1. )
       ENDDO
 #endif
@@ -752,12 +752,12 @@
       IF (heat_capacity) THEN
          DO jl = 1,ncat
-            CALL cice2nemo(Tn_top(:,:,jl,:),tn_ice(:,:,jl),'T', 1. )
-            CALL cice2nemo(keffn_top(:,:,jl,:),kn_ice(:,:,jl),'T', 1. )
+            CALL cice2nemo(Tn_top(:,:,jl,:),t1_ice(:,:,jl),'T', 1. )
+            CALL cice2nemo(keffn_top(:,:,jl,:),cnd_ice(:,:,jl),'T', 1. )
          ENDDO
 ! Convert surface temperature to Kelvin
-         tn_ice(:,:,:)=tn_ice(:,:,:)+rt0
+         t1_ice(:,:,:)=t1_ice(:,:,:)+rt0
       ELSE
-         tn_ice(:,:,:) = 0.0
-         kn_ice(:,:,:) = 0.0
+         t1_ice(:,:,:) = 0.0
+         cnd_ice(:,:,:) = 0.0
       ENDIF       
 
@@ -877,15 +877,15 @@
       tprecip(:,:) = sf(jp_snow)%fnow(:,:,1)+sf(jp_rain)%fnow(:,:,1)
 ! May be better to do this conversion somewhere else
-      qla_ice(:,:,1) = -Lsub*sf(jp_sblm)%fnow(:,:,1)
-      topmelt(:,:,1) = sf(jp_top1)%fnow(:,:,1)
-      topmelt(:,:,2) = sf(jp_top2)%fnow(:,:,1)
-      topmelt(:,:,3) = sf(jp_top3)%fnow(:,:,1)
-      topmelt(:,:,4) = sf(jp_top4)%fnow(:,:,1)
-      topmelt(:,:,5) = sf(jp_top5)%fnow(:,:,1)
-      botmelt(:,:,1) = sf(jp_bot1)%fnow(:,:,1)
-      botmelt(:,:,2) = sf(jp_bot2)%fnow(:,:,1)
-      botmelt(:,:,3) = sf(jp_bot3)%fnow(:,:,1)
-      botmelt(:,:,4) = sf(jp_bot4)%fnow(:,:,1)
-      botmelt(:,:,5) = sf(jp_bot5)%fnow(:,:,1)
+      zevap_ice(:,:,1) = -Lsub*sf(jp_sblm)%fnow(:,:,1)
+      qml_ice(:,:,1) = sf(jp_top1)%fnow(:,:,1)
+      qml_ice(:,:,2) = sf(jp_top2)%fnow(:,:,1)
+      qml_ice(:,:,3) = sf(jp_top3)%fnow(:,:,1)
+      qml_ice(:,:,4) = sf(jp_top4)%fnow(:,:,1)
+      qml_ice(:,:,5) = sf(jp_top5)%fnow(:,:,1)
+      qcn_ice(:,:,1) = sf(jp_bot1)%fnow(:,:,1)
+      qcn_ice(:,:,2) = sf(jp_bot2)%fnow(:,:,1)
+      qcn_ice(:,:,3) = sf(jp_bot3)%fnow(:,:,1)
+      qcn_ice(:,:,4) = sf(jp_bot4)%fnow(:,:,1)
+      qcn_ice(:,:,5) = sf(jp_bot5)%fnow(:,:,1)
 
       ! control print (if less than 100 time-step asked)