Index: NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/1_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/1_namelist_cfg	(revision 9684)
+++ NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/1_namelist_cfg	(revision 9686)
@@ -103,5 +103,5 @@
    ln_qsr_rgb  = .true.       !  RGB light penetration (Red-Green-Blue)
    !
-   nn_chldta   =      0       !  RGB : Chl data (=1) or cst value (=0)
+   nn_chldta   =      1       !  RGB : Chl data (=1) or cst value (=0)
 
    cn_dir      = './'      !  root directory for the chlorophyl data location
@@ -323,2 +323,23 @@
 !!======================================================================
 !
+!!======================================================================
+!!                  ***  Miscellaneous namelists  ***                 !!
+!!                                                                    !!
+!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   namctl            Control prints                                   (default: OFF)
+!!   namsto            Stochastic parametrization of EOS                (default: OFF)
+!!======================================================================
+!
+!
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namctl        !   Control prints                                       (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsto        ! Stochastic parametrization of EOS                      (default: OFF)
+!-----------------------------------------------------------------------
+/
Index: NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/2_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/2_namelist_cfg	(revision 9684)
+++ NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/2_namelist_cfg	(revision 9686)
@@ -103,5 +103,5 @@
    ln_qsr_rgb  = .true.       !  RGB light penetration (Red-Green-Blue)
    !
-   nn_chldta   =      0       !  RGB : Chl data (=1) or cst value (=0)
+   nn_chldta   =      1       !  RGB : Chl data (=1) or cst value (=0)
 
    cn_dir      = './'      !  root directory for the chlorophyl data location
@@ -323,2 +323,23 @@
 !!======================================================================
 !
+!!======================================================================
+!!                  ***  Miscellaneous namelists  ***                 !!
+!!                                                                    !!
+!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   namctl            Control prints                                   (default: OFF)
+!!   namsto            Stochastic parametrization of EOS                (default: OFF)
+!!======================================================================
+!
+!
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namctl        !   Control prints                                       (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsto        ! Stochastic parametrization of EOS                      (default: OFF)
+!-----------------------------------------------------------------------
+/
Index: NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/namelist_cfg	(revision 9684)
+++ NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/namelist_cfg	(revision 9686)
@@ -34,5 +34,5 @@
 !-----------------------------------------------------------------------
    ln_read_cfg = .true.    !  (=T) read the domain configuration file
-      cn_domcfg = "ORCA_R2_zps_domcfg"    ! domain configuration filename
+      cn_domcfg = "ORCA_R2_zps_domcfg_agrif"    ! domain configuration filename
       !
       ln_closea    = .false.    !  F => suppress closed seas (defined by closea_mask field) 
@@ -115,5 +115,5 @@
    ln_qsr_rgb  = .true.       !  RGB light penetration (Red-Green-Blue)
    !
-   nn_chldta   =      0       !  RGB : Chl data (=1) or cst value (=0)
+   nn_chldta   =      1       !  RGB : Chl data (=1) or cst value (=0)
 
    cn_dir = './'  !  root directory for the chlorophyl data location